com.hazelcast.spring

## Class HazelcastClientBeanDefinitionParser

- java.lang.Object
- - org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
  - - com.hazelcast.spring.AbstractHazelcastBeanDefinitionParser
    - - com.hazelcast.spring.HazelcastClientBeanDefinitionParser

- All Implemented Interfaces:
    org.springframework.beans.factory.xml.BeanDefinitionParser
  Direct Known Subclasses:
    JetClientBeanDefinitionParser

      public class HazelcastClientBeanDefinitionParser
      extends AbstractHazelcastBeanDefinitionParser

  BeanDefinitionParser for Hazelcast Client Configuration.

  Sample Spring XML for Hazelcast Client:

         <hz:client id="client">
            <hz:group name="${cluster.group.name}" password="${cluster.group.password}" />
            <hz:network connection-attempt-limit="3"
                connection-attempt-period="3000"
                connection-timeout="1000"
                redo-operation="true"
                smart-routing="true">
                    <hz:member>10.10.1.2:5701</hz:member>
                    <hz:member>10.10.1.3:5701</hz:member>
            </hz:network>
         </hz:client>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `HazelcastClientBeanDefinitionParser.SpringXmlBuilder` Client bean definition builder

    - ### Nested classes/interfaces inherited from class com.hazelcast.spring.AbstractHazelcastBeanDefinitionParser

      `AbstractHazelcastBeanDefinitionParser.SpringXmlBuilderHelper`

  - ### Field Summary

    - ### Fields inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser

      `ID_ATTRIBUTE, NAME_ATTRIBUTE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HazelcastClientBeanDefinitionParser()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected org.springframework.beans.factory.support.AbstractBeanDefinition` | `parseInternal(Element element, org.springframework.beans.factory.xml.ParserContext parserContext)`

    - ### Methods inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser

      `parse, postProcessComponentDefinition, registerBeanDefinition, resolveId, shouldFireEvents, shouldGenerateId, shouldGenerateIdAsFallback, shouldParseNameAsAliases`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HazelcastClientBeanDefinitionParser

          public HazelcastClientBeanDefinitionParser()

  - ### Method Detail

    - #### parseInternal

          protected org.springframework.beans.factory.support.AbstractBeanDefinition parseInternal(Element element,
                                                                                                   org.springframework.beans.factory.xml.ParserContext parserContext)

      Specified by:
        `parseInternal` in class `org.springframework.beans.factory.xml.AbstractBeanDefinitionParser`

Copyright © 2020. All rights reserved.